# TempFile

Extends \Task

This task sets a property to the name of a temporary file.

Unlike PhingFile::createTempFile(), this task does not (by default) actually create the temporary file, but it does guarantee that the file did not exist when the task was executed.

Examples:

`<tempfile property="temp.file" />`

create a temporary file

`<tempfile property="temp.file" suffix=".xml" />`

create a temporary file with the .xml suffix.

`<tempfile property="temp.file" destDir="build"/>`

create a temp file in the build subdir

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system

### Methods

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Learn whether createFile flag is set for this tempFile task.

    isCreateFile() : boolean

### Response

`boolean`

the createFile flag.

## Learn whether deleteOnExit is set for this tempfile task.

    isDeleteOnExit() : boolean

### Response

`boolean`

deleteOnExit flag.

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## If set the file is actually created, if not just a name is created.

    setCreateFile(boolean $createFile)

### Arguments

#### $createFile

`boolean`

boolean flag.

## Set whether the tempfile created by this task should be set for deletion on normal VM exit.

    setDeleteOnExit(boolean $deleteOnExit)

### Arguments

#### $deleteOnExit

`boolean`

boolean flag.

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Sets the destination directory. If not set, the basedir directory is used instead.

    setDestDir(string|\PhingFile $destDir)

### Arguments

#### $destDir

`string|\PhingFile`

The new destDir value

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## Sets the optional prefix string for the temp file.

    setPrefix(string $prefix)

### Arguments

#### $prefix

`string`

string to prepend to generated string

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the property you wish to assign the temporary file to.

    setProperty(string $property)

### Arguments

#### $property

`string`

The property to set

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the optional suffix string for the temp file.

    setSuffix(string $suffix)

### Arguments

#### $suffix

`string`

suffix including any "." , e.g ".xml"

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

### Properties

## Name of property to set.

    property :

### Type(s)

``

## Directory to create the file in. Can be null.

    destDir :

### Type(s)

``

## Prefix for the file.

    prefix :

### Type(s)

``

## Suffix for the file.

    suffix :

### Type(s)

``

## deleteOnExit flag

    deleteOnExit :

### Type(s)

``

## createFile flag

    createFile :

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`